Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.Page
Imports System.Drawing
Imports Microsoft.Visualbasic

Namespace ccupload
public class ccuploadset

Public function SetUpload (path as string, myFile as object, lblMsg as object, successText as string) as string

dim myUValue as string
dim myUName as string
dim i as integer
For i = 1 To 30
Randomize()
MyUValue = CInt(Int((100 * Rnd()) + 1)) & myUValue
next

Dim intFileNameLength as Integer
Dim strFileNamePath as String
Dim strFileExtension as String
Dim maxImage as integer = 200

If Not (myFile.PostedFile Is Nothing) Then
'Logic to find the FileName (excluding the path)
strFileNamePath = MyFile.PostedFile.FileName
intFileNameLength = Instr(1, StrReverse(strFileNamePath), ".")
strFileExtension = Mid(strFileNamePath, (Len(strFileNamePath)-intFileNameLength)+2)

' creating an unique name for the image
myUName=myUValue & "full." & strFileExtension

' save the file before upload
myFile.PostedFile.SaveAs(path & myUname)
lblMsg.Text = successText

end if

dim objBMP as System.Drawing.Bitmap 
dim objGraphics as System.Drawing.Image

'open image
objBMP = New Bitmap(path & myUName)
dim imgw as integer = objBMP.width
dim imgh as integer = objBMP.height

' Creating a Thumbnail with scale
dim newimgw as integer
dim newimgh as integer
if imgw > imgh then
newimgw = maxImage
newimgh = (imgh * maxImage)/imgw
else if imgh > imgw then
newimgw = (imgw * maxImage)/imgh
newimgh = maxImage
else
newimgw = maxImage
newimgh = maxImage
end if

'ThumbNail it!!
objGraphics = objBMP.GetThumbnailImage(newimgw, newimgh, Nothing, IntPtr.Zero)

' creates unique name for the thumbnail and saves it on webserver folder
objGraphics.Save(path  & myUValue & "tmbnl." & strFileExtension )
End function
End Class
end Namespace